is_float
is_integer
Variable handling Functions
PHP Manual

# is_int

Find whether the type of a variable is integer

### Description

bool is_int ( mixed `$var` )

Finds whether the type of the given variable is integer.

> Note:

> To test if a variable is a number or a numeric string (such as form input, which is always a string), you must use is_numeric.

### Parameters

`var`

  The variable being evaluated.

### Return Values

Returns `TRUE` if `var` is an integer, `FALSE` otherwise.

### Examples

Example #1 is_int example

`<?php
$values = array(23, "23", 23.5, "23.5", null, true, false);
foreach ($values as $value) {
echo "is_int(";
var_export($value);
echo ") = ";
var_dump(is_int($value));
}
?>`

The above example will output:

    is_int(23) = bool(true)
    is_int('23') = bool(false)
    is_int(23.5) = bool(false)
    is_int('23.5') = bool(false)
    is_int(NULL) = bool(false)
    is_int(true) = bool(false)
    is_int(false) = bool(false)

### See Also

- is_bool
- is_float
- is_numeric
- is_string
- is_array
- is_object